com.ibm.openpages.api.metadata

## Enum DataType

- java.lang.Object
- - java.lang.Enum<DataType>
  - - com.ibm.openpages.api.metadata.DataType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataType>

      public enum DataType
      extends java.lang.Enum<DataType>

  Enum for various `IFieldDefinition` data types supported by the API.

  See Also:
    `IField`, `IIntegerField`, `IFloatField`, `IStringField`, `IDateField`, `ICurrencyField`, `IBooleanField`, `IEnumField`, `IMultiEnumField`, `IReferenceField`, `IEnumAnswersField`
  Category:
    MetaData

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN_TYPE` Represents data type for `IBooleanField`
    `CLASSIFIER_TYPE` Represents data type for Classifier field
    `COMPUTED_FIELD_TYPE` Represents data type for Computed field
    `CURRENCY_TYPE` Represents data type for `ICurrencyField`
    `DATE_TYPE` Represents data type for `IDateField`
    `ENUM_ANSWERS_TYPE` Represents data type for `IEnumAnswersField`
    `ENUM_TYPE` Represents data type for `IEnumField`
    `FLOAT_TYPE` Represents data type for `IFloatField`
    `ID_TYPE` Represents data type for Id field
    `INTEGER_TYPE` Represents data type for `IIntegerField`
    `LARGE_STRING_TYPE` Represents data type for Long text field
    `MEDIUM_STRING_TYPE` Represents data type for Medium text field
    `MULTI_VALUE_ENUM` Represents data type for `IMultiEnumField`
    `REFERENCE_TYPE` Represents data type for `IReferenceField`
    `REPORT_TYPE` Represents data type for Report fragment field
    `STRING_TYPE` Represents data type for `IStringField`
    `UNLIMITED_STRING_TYPE` Represents data type for Unlimited long text field

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER_TYPE

          public static final DataType INTEGER_TYPE

      Represents data type for `IIntegerField`

    - #### FLOAT_TYPE

          public static final DataType FLOAT_TYPE

      Represents data type for `IFloatField`

    - #### STRING_TYPE

          public static final DataType STRING_TYPE

      Represents data type for `IStringField`

    - #### DATE_TYPE

          public static final DataType DATE_TYPE

      Represents data type for `IDateField`

    - #### CURRENCY_TYPE

          public static final DataType CURRENCY_TYPE

      Represents data type for `ICurrencyField`

    - #### BOOLEAN_TYPE

          public static final DataType BOOLEAN_TYPE

      Represents data type for `IBooleanField`

    - #### ENUM_TYPE

          public static final DataType ENUM_TYPE

      Represents data type for `IEnumField`

    - #### MULTI_VALUE_ENUM

          public static final DataType MULTI_VALUE_ENUM

      Represents data type for `IMultiEnumField`

    - #### REFERENCE_TYPE

          public static final DataType REFERENCE_TYPE

      Represents data type for `IReferenceField`

    - #### REPORT_TYPE

          public static final DataType REPORT_TYPE

      Represents data type for Report fragment field

    - #### COMPUTED_FIELD_TYPE

          public static final DataType COMPUTED_FIELD_TYPE

      Represents data type for Computed field

    - #### MEDIUM_STRING_TYPE

          public static final DataType MEDIUM_STRING_TYPE

      Represents data type for Medium text field

    - #### LARGE_STRING_TYPE

          public static final DataType LARGE_STRING_TYPE

      Represents data type for Long text field

    - #### UNLIMITED_STRING_TYPE

          public static final DataType UNLIMITED_STRING_TYPE

      Represents data type for Unlimited long text field

    - #### ID_TYPE

          public static final DataType ID_TYPE

      Represents data type for Id field

    - #### ENUM_ANSWERS_TYPE

          public static final DataType ENUM_ANSWERS_TYPE

      Represents data type for `IEnumAnswersField`

    - #### CLASSIFIER_TYPE

          public static final DataType CLASSIFIER_TYPE

      Represents data type for Classifier field

  - ### Method Detail

    - #### values

          public static DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataType c : DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.